package com.backpower.uhfqcdemo;

import android.app.Activity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import java.util.ArrayList;

public class UHF_ListAdapter extends BaseAdapter {

    private ArrayList<String> TagName;
    private ArrayList<Integer> number,count;
    private LayoutInflater mInflator;
    private int nownum = 0;
    public UHF_ListAdapter(Activity c){
        super();
        TagName = new ArrayList<String>();
        number = new ArrayList<Integer>();
        count = new ArrayList<>();
        mInflator = c.getLayoutInflater();nownum = 0;
    }

    public void clear() {
        TagName.clear();nownum = 0;
        number.clear();
        count.clear();
    }

    public boolean addTag(String tag){
        if(!TagName.contains(tag)) {
            TagName.add(tag);
            //number.add(nownum++);
            number.add(1);
            return true;
        }else{
            int c = number.get(TagName.indexOf(tag)) +1;
            number.set(TagName.indexOf(tag),c);
            return true;
        }
     //   return false;
    }

    @Override
    public int getCount() {
        return TagName.size();
    }

    @Override
    public Object getItem(int position) {
        return TagName.get(position);
    }

    @Override
    public long getItemId(int position) {
        return number.get(position);
    }

    @Override
    public View getView(int position, View view, ViewGroup parent) {
        ViewHolder viewHolder;
        // General ListView optimization code.
        if (view == null) {
            view = mInflator.inflate(R.layout.uhf_list, null);
            viewHolder = new ViewHolder();
            viewHolder.num = (TextView) view.findViewById(R.id.number);
            viewHolder.tagid = (TextView) view.findViewById(R.id.val);
            view.setTag(viewHolder);
        } else {
            viewHolder = (ViewHolder) view.getTag();
        }
        if(TagName.size()>0) {
            viewHolder.num.setText("" + number.get(position));
            String tag = TagName.get(position);
            String str = "";
            if(tag!=null)
            if (tag.length() > 30) {
                str = tag.substring(0, 24) + "\n" + tag.substring(24);
            } else str = tag;
            viewHolder.tagid.setText("" + str);
        }
        return view;
    }

    static class ViewHolder {
        TextView num;
        TextView tagid;
    }

}
