package com.backpower.uhfqcdemo;

import android.util.Log;

import java.io.FileOutputStream;
import java.io.OutputStreamWriter;
import java.nio.charset.StandardCharsets;
import java.text.SimpleDateFormat;
import java.util.Date;

public class MLog {
    public static String filepath = null;

    public static void log(String tag, String dat){
        Log.d(tag,dat);
        if(filepath!=null)
        writeFile(filepath,tag+":"+dat+"\n");
    }

    static boolean writeFile(String filePath, String txt){
        FileOutputStream outStream = null;
        txt = timeToStamp()+" "+txt;
        try {
            outStream = new FileOutputStream(filePath,true);
            OutputStreamWriter writer = new OutputStreamWriter(outStream, StandardCharsets.UTF_8);
            writer.write(txt);
            writer.flush();
            writer.close();
            outStream.close();
            return true;
        } catch (Exception e) {
            e.printStackTrace();
            return false;
        }
    }
    public static String timeToStamp() {
        SimpleDateFormat formatter = new SimpleDateFormat("HH:mm:ss.SSS");
        return formatter.format(new Date());
    }
    public static String getFilepath(String dir){
       return dir+"/"+timelog();
    }
    private static String timelog(){
        SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd_HH-mm");
        Date curDate = new Date(System.currentTimeMillis()); //获取当前时间
        return "Log_"+formatter.format(curDate)+".txt";   //格式转换
    }
}
