package com.backpower.uhfqcdemo;

import android.app.Activity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import java.util.ArrayList;

public class RFID_ListAdapter extends BaseAdapter {

    private ArrayList<String> TagName;
    private ArrayList<Integer> number;
    private LayoutInflater mInflator;
    private int nownum = 0;
    public RFID_ListAdapter(Activity c){
        super();
        TagName = new ArrayList<String>();
        number = new ArrayList<Integer>();
        mInflator = c.getLayoutInflater();nownum = 0;
    }

    public void clear() {
        TagName.clear();nownum = 0;
        number.clear();
    }

    public boolean addRFID(String tag){
        if(TagName.size()>0){
            ArrayList<String> tags = new ArrayList<String>();
            tags.add(tag);
            for(int i=0;i<TagName.size();i++){
                tags.add(TagName.get(i));
            }
            TagName = tags;
        }else
            TagName.add(tag);

       // number.add(nownum++);
        number.clear();
        int c = TagName.size();
        while (c-->0)number.add(c);

        return true;
    }

    @Override
    public int getCount() {
        return TagName.size();
    }

    @Override
    public Object getItem(int position) {
        return TagName.get(position);
    }

    @Override
    public long getItemId(int position) {
        return number.get(position);
    }

    @Override
    public View getView(int position, View view, ViewGroup parent) {
        ViewHolder viewHolder;
        // General ListView optimization code.
        if (view == null) {
            view = mInflator.inflate(R.layout.uhf_list, null);
            viewHolder = new ViewHolder();
            viewHolder.num = (TextView) view.findViewById(R.id.number);
            viewHolder.tagid = (TextView) view.findViewById(R.id.val);
            view.setTag(viewHolder);
        } else {
            viewHolder = (ViewHolder) view.getTag();
        }
        viewHolder.num.setText(""+number.get(position));
        viewHolder.tagid.setText(""+TagName.get(position));
        return view;
    }

    static class ViewHolder {
        TextView num;
        TextView tagid;
    }

}
